# Nerien's Ovale Scripts

## [9.0.12](https://github.com/ultijlam/nerien-ovale-scripts/tree/9.0.12) (2021-05-24)
[Full Changelog](https://github.com/ultijlam/nerien-ovale-scripts/compare/9.0.11...9.0.12) [Previous Releases](https://github.com/ultijlam/nerien-ovale-scripts/releases)

- fix(monk): ensure Shuffle is always up  
    If Keg Smash is on cooldown but Shuffle is not present, then try  
    casting Blackout Kick or Spinning Crane Kick as the next highest  
    priority in order to get Shuffle up as quickly as possible.  
- feat(monk): support Charred Passions for brewmaster monk  
    If Charred Passions runeforge is equipped, then trade-off some  
    defense for offense by using Spinning Crane Kick when the Charred  
    Passions buff is active after Breath of Fire.  
- fix(monk): improve brewmaster rotation implementation  
    Modify the brewmaster monk rotation to more closely follow the  
    Wowhead guide by Llarold for 9.0.5.  
    * Simplify the checks for not pushing back any Keg Smash by just  
      putting Keg Smash as the highest priority ability and adding  
      helper functions for each ability that uses energy to check that  
      it won't push back Keg Smash.  
    * Move Faeline Stomp below Keg Smash and Blackout Kick unless there  
      are more than 3 targets.  
    * Don't use Weapons of Order unless Keg Smash is on cooldown since  
      it resets the cooldown of Keg Smash.  
    * Don't use Purifying Brew whenever we have Heavy Stagger -- it's  
      often safe to have High Stagger and it's more of a judgment call  
      to clear it or not. At least this preserves the extra charge for  
      the player to make that judgment call.  
    * Don't exclusively use Blackout Combo for Breath of Fire and Tiger  
      Palm as it may delay Keg Smash. Instead, just use Keg Smash to  
      consume the buff if it's off cooldown.  
    * Fleshcraft no longer prevents dodging or parrying in 9.0.5, so  
      suggest it in-combat as a short CD filler.  
